package com.huimv.modular.analysis.enums;

import com.huimv.core.annotion.ExpEnumType;
import com.huimv.core.exception.enums.abs.AbstractBaseExceptionEnum;
import com.huimv.core.factory.ExpEnumCodeFactory;
import com.huimv.sys.core.consts.SysExpEnumConstant;

/**
 * <p>
 * 数据分析异常枚举类
 * </p>
 *
 * @author yinhao
 * @date 2021/8/18 16:11
 */
@ExpEnumType(module = SysExpEnumConstant.SNOWY_SYS_MODULE_EXP_CODE)
public enum  AnalysisExceptionEnum implements AbstractBaseExceptionEnum {

    /**
     * 数据不存在
     */
    NOT_EXIST(1, "组织信息不存在!"),
    NO_CHILD(2, "没有子级组织,无法查看存栏情况!");

    private final Integer code;

    private final String message;

    AnalysisExceptionEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    @Override
    public Integer getCode() {
        return ExpEnumCodeFactory.getExpEnumCode(this.getClass(), code);
    }

    @Override
    public String getMessage() {
        return message;
    }
}
